Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xri3.impl
Class XRI3Segment

    java.lang.Object
      org.openxri.xri3.impl.XRI3SyntaxComponent
          org.openxri.xri3.impl.XRI3Segment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, XRISegment, XRISyntaxComponent

    public class XRI3Segment

extends XRI3SyntaxComponent
implements XRISegment

See Also:
  Serialized Form

Constructor Summary
`XRI3Segment(java.lang.String string)`

Method Summary
`XRISubSegment` | `getFirstSubSegment()`
`XRISubSegment` | `getLastSubSegment()`
`XRILiteral` | `getLiteral()`
`int` | `getNumSubSegments()`
`Rule` | `getParserObject()`
`XRISubSegment` | `getSubSegment(int i)`
`java.util.List` | `getSubSegments()`
`boolean` | `hasLiteral()`
`boolean` | `startsWith(XRISubSegment[] subSegments)`

Methods inherited from class org.openxri.xri3.impl.XRI3SyntaxComponent
`compareTo, equals, hashCode, toIRINormalForm, toString, toURINormalForm`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.openxri.xri3.XRISyntaxComponent
`toIRINormalForm, toURINormalForm`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### XRI3Segment

    public XRI3Segment(java.lang.String string)
                throws ParserException

Throws:
  `ParserException`

Method Detail

### getParserObject

    public Rule getParserObject()

  Specified by:
    `getParserObject` in class `XRI3SyntaxComponent`

### hasLiteral

    public boolean hasLiteral()

  Specified by:
    `hasLiteral` in interface `XRISegment`

### getLiteral

    public XRILiteral getLiteral()

  Specified by:
    `getLiteral` in interface `XRISegment`

### getSubSegments

    public java.util.List getSubSegments()

  Specified by:
    `getSubSegments` in interface `XRISegment`

### getNumSubSegments

    public int getNumSubSegments()

  Specified by:
    `getNumSubSegments` in interface `XRISegment`

### getSubSegment

    public XRISubSegment getSubSegment(int i)

  Specified by:
    `getSubSegment` in interface `XRISegment`

### getFirstSubSegment

    public XRISubSegment getFirstSubSegment()

  Specified by:
    `getFirstSubSegment` in interface `XRISegment`

### getLastSubSegment

    public XRISubSegment getLastSubSegment()

  Specified by:
    `getLastSubSegment` in interface `XRISegment`

### startsWith

    public boolean startsWith(XRISubSegment[] subSegments)

  Specified by:
    `startsWith` in interface `XRISegment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.